<?php
/* Autor...:  */
/* Esquema.: CP_Aplicacion.xml */
/* Generado: 2021-10-19 08:12:22 */

/* Metodos de acceso a los campos de la tabla CP_Aplicacion */
abstract class BaseCP_AplicacionBN
{
    /* Campos de la tabla */
    private $i_IdAplicacion;    // IdAplicacion: ( no definido )
    private $i_IdParent;    // IdParent: ( no definido )
    private $i_IdCompania;    // IdCompania: ( no definido )
    private $i_IdSucursal;    // IdSucursal: ( no definido )
    private $i_IdTipoPago;    // IdTipoPago: ( no definido )
    private $i_IdCaja;    // IdCaja: ( no definido )
    private $i_IdTurno;    // IdTurno: ( no definido )
    private $i_IdCierre;    // IdCierre: ( no definido )
    private $i_IdBanco;    // IdBanco: ( no definido )
    private $i_IdCuenta;    // IdCuenta: ( no definido )
    private $s_IdMoneda;    // IdMoneda: ( no definido )
    private $s_MonedaDes;    // MonedaDes: ( no definido )
    private $f_TipoCambio;    // TipoCambio: ( no definido )
    private $s_TipoPagoNombre;    // TipoPagoNombre: ( no definido )
    private $i_IdPersona;    // IdPersona: ( no definido )
    private $s_TipoDocCliente;    // TipoDocCliente: ( no definido )
    private $s_NumTipoDocCliente;    // NumTipoDocCliente: ( no definido )
    private $s_NombreCliente;    // NombreCliente: ( no definido )
    private $s_NombreTipo;    // NombreTipo: ( no definido )
    private $s_ClaseNombre;    // ClaseNombre: ( no definido )
    private $s_Descripcion;    // Descripcion: ( no definido )
    private $s_ReciboNumero;    // ReciboNumero: ( no definido )
    private $i_IdDocRecibo;    // IdDocRecibo: ( no definido )
    private $s_IdNumeroDocumento;    // IdNumeroDocumento: ( no definido )
    private $s_IdDocNumRef;    // IdDocNumRef: ( no definido )
    private $s_CodDocRef;    // CodDocRef: ( no definido )
    private $s_SerieNumeroDocRef;    // SerieNumeroDocRef: ( no definido )
    private $f_MontoTotalDocRef;    // MontoTotalDocRef: ( no definido )
    private $f_SaldoDocRef;    // SaldoDocRef: ( no definido )
    private $d_FechaDocRef;    // FechaDocRef: ( no definido )
    private $d_FechaDocVenRef;    // FechaDocVenRef: ( no definido )
    private $s_IdMonedaRef;    // IdMonedaRef: ( no definido )
    private $f_TipoCambioRef;    // TipoCambioRef: ( no definido )
    private $s_CodVendedorRef;    // CodVendedorRef: ( no definido )
    private $s_IdAlmacenRef;    // IdAlmacenRef: ( no definido )
    private $s_Periodo;    // Periodo: ( no definido )
    private $d_FechaAplicacion;    // FechaAplicacion: ( no definido )
    private $f_MontoAplicado;    // MontoAplicado: ( no definido )
    private $f_MontoAplicacionMN;    // MontoAplicacionMN: ( no definido )
    private $f_MontoAplicacionME;    // MontoAplicacionME: ( no definido )
    private $s_Mostrar;    // Mostrar: ( no definido )
    private $s_Estado;    // Estado: ( no definido )
    private $d_FechaCreacion;    // FechaCreacion: ( no definido )
    private $s_UsuarioCreacion;    // UsuarioCreacion: ( no definido )
    private $d_FechaModificacion;    // FechaModificacion: ( no definido )
    private $s_UsuarioModificacion;    // UsuarioModificacion: ( no definido )

    /* Establece el valor del campo IdAplicacion */
    public function setIdAplicacion( $i_IdAplicacion )
    {
        $this->i_IdAplicacion = $i_IdAplicacion;
    }

    /* Obtiene el valor del campo IdAplicacion */
    public function getIdAplicacion()
    {
        return $this->i_IdAplicacion;
    }

    /* Establece el valor del campo IdParent */
    public function setIdParent( $i_IdParent )
    {
        $this->i_IdParent = $i_IdParent;
    }

    /* Obtiene el valor del campo IdParent */
    public function getIdParent()
    {
        return $this->i_IdParent;
    }

    /* Establece el valor del campo IdCompania */
    public function setIdCompania( $i_IdCompania )
    {
        $this->i_IdCompania = $i_IdCompania;
    }

    /* Obtiene el valor del campo IdCompania */
    public function getIdCompania()
    {
        return $this->i_IdCompania;
    }

    /* Establece el valor del campo IdSucursal */
    public function setIdSucursal( $i_IdSucursal )
    {
        $this->i_IdSucursal = $i_IdSucursal;
    }

    /* Obtiene el valor del campo IdSucursal */
    public function getIdSucursal()
    {
        return $this->i_IdSucursal;
    }

    /* Establece el valor del campo IdTipoPago */
    public function setIdTipoPago( $i_IdTipoPago )
    {
        $this->i_IdTipoPago = $i_IdTipoPago;
    }

    /* Obtiene el valor del campo IdTipoPago */
    public function getIdTipoPago()
    {
        return $this->i_IdTipoPago;
    }

    /* Establece el valor del campo IdCaja */
    public function setIdCaja( $i_IdCaja )
    {
        $this->i_IdCaja = $i_IdCaja;
    }

    /* Obtiene el valor del campo IdCaja */
    public function getIdCaja()
    {
        return $this->i_IdCaja;
    }

    /* Establece el valor del campo IdTurno */
    public function setIdTurno( $i_IdTurno )
    {
        $this->i_IdTurno = $i_IdTurno;
    }

    /* Obtiene el valor del campo IdTurno */
    public function getIdTurno()
    {
        return $this->i_IdTurno;
    }

    /* Establece el valor del campo IdCierre */
    public function setIdCierre( $i_IdCierre )
    {
        $this->i_IdCierre = $i_IdCierre;
    }

    /* Obtiene el valor del campo IdCierre */
    public function getIdCierre()
    {
        return $this->i_IdCierre;
    }

    /* Establece el valor del campo IdBanco */
    public function setIdBanco( $i_IdBanco )
    {
        $this->i_IdBanco = $i_IdBanco;
    }

    /* Obtiene el valor del campo IdBanco */
    public function getIdBanco()
    {
        return $this->i_IdBanco;
    }

    /* Establece el valor del campo IdCuenta */
    public function setIdCuenta( $i_IdCuenta )
    {
        $this->i_IdCuenta = $i_IdCuenta;
    }

    /* Obtiene el valor del campo IdCuenta */
    public function getIdCuenta()
    {
        return $this->i_IdCuenta;
    }

    /* Establece el valor del campo IdMoneda */
    public function setIdMoneda( $s_IdMoneda )
    {
        $this->s_IdMoneda = $s_IdMoneda;
    }

    /* Obtiene el valor del campo IdMoneda */
    public function getIdMoneda()
    {
        return $this->s_IdMoneda;
    }

    /* Establece el valor del campo MonedaDes */
    public function setMonedaDes( $s_MonedaDes )
    {
        $this->s_MonedaDes = $s_MonedaDes;
    }

    /* Obtiene el valor del campo MonedaDes */
    public function getMonedaDes()
    {
        return $this->s_MonedaDes;
    }

    /* Establece el valor del campo TipoCambio */
    public function setTipoCambio( $f_TipoCambio )
    {
        $this->f_TipoCambio = $f_TipoCambio;
    }

    /* Obtiene el valor del campo TipoCambio */
    public function getTipoCambio()
    {
        return $this->f_TipoCambio;
    }

    /* Establece el valor del campo TipoPagoNombre */
    public function setTipoPagoNombre( $s_TipoPagoNombre )
    {
        $this->s_TipoPagoNombre = $s_TipoPagoNombre;
    }

    /* Obtiene el valor del campo TipoPagoNombre */
    public function getTipoPagoNombre()
    {
        return $this->s_TipoPagoNombre;
    }

    /* Establece el valor del campo IdPersona */
    public function setIdPersona( $i_IdPersona )
    {
        $this->i_IdPersona = $i_IdPersona;
    }

    /* Obtiene el valor del campo IdPersona */
    public function getIdPersona()
    {
        return $this->i_IdPersona;
    }

    /* Establece el valor del campo TipoDocCliente */
    public function setTipoDocCliente( $s_TipoDocCliente )
    {
        $this->s_TipoDocCliente = $s_TipoDocCliente;
    }

    /* Obtiene el valor del campo TipoDocCliente */
    public function getTipoDocCliente()
    {
        return $this->s_TipoDocCliente;
    }

    /* Establece el valor del campo NumTipoDocCliente */
    public function setNumTipoDocCliente( $s_NumTipoDocCliente )
    {
        $this->s_NumTipoDocCliente = $s_NumTipoDocCliente;
    }

    /* Obtiene el valor del campo NumTipoDocCliente */
    public function getNumTipoDocCliente()
    {
        return $this->s_NumTipoDocCliente;
    }

    /* Establece el valor del campo NombreCliente */
    public function setNombreCliente( $s_NombreCliente )
    {
        $this->s_NombreCliente = $s_NombreCliente;
    }

    /* Obtiene el valor del campo NombreCliente */
    public function getNombreCliente()
    {
        return $this->s_NombreCliente;
    }

    /* Establece el valor del campo NombreTipo */
    public function setNombreTipo( $s_NombreTipo )
    {
        $this->s_NombreTipo = $s_NombreTipo;
    }

    /* Obtiene el valor del campo NombreTipo */
    public function getNombreTipo()
    {
        return $this->s_NombreTipo;
    }

    /* Establece el valor del campo ClaseNombre */
    public function setClaseNombre( $s_ClaseNombre )
    {
        $this->s_ClaseNombre = $s_ClaseNombre;
    }

    /* Obtiene el valor del campo ClaseNombre */
    public function getClaseNombre()
    {
        return $this->s_ClaseNombre;
    }

    /* Establece el valor del campo Descripcion */
    public function setDescripcion( $s_Descripcion )
    {
        $this->s_Descripcion = $s_Descripcion;
    }

    /* Obtiene el valor del campo Descripcion */
    public function getDescripcion()
    {
        return $this->s_Descripcion;
    }

    /* Establece el valor del campo ReciboNumero */
    public function setReciboNumero( $s_ReciboNumero )
    {
        $this->s_ReciboNumero = $s_ReciboNumero;
    }

    /* Obtiene el valor del campo ReciboNumero */
    public function getReciboNumero()
    {
        return $this->s_ReciboNumero;
    }

    /* Establece el valor del campo IdDocRecibo */
    public function setIdDocRecibo( $i_IdDocRecibo )
    {
        $this->i_IdDocRecibo = $i_IdDocRecibo;
    }

    /* Obtiene el valor del campo IdDocRecibo */
    public function getIdDocRecibo()
    {
        return $this->i_IdDocRecibo;
    }

    /* Establece el valor del campo IdNumeroDocumento */
    public function setIdNumeroDocumento( $s_IdNumeroDocumento )
    {
        $this->s_IdNumeroDocumento = $s_IdNumeroDocumento;
    }

    /* Obtiene el valor del campo IdNumeroDocumento */
    public function getIdNumeroDocumento()
    {
        return $this->s_IdNumeroDocumento;
    }

    /* Establece el valor del campo IdDocNumRef */
    public function setIdDocNumRef( $s_IdDocNumRef )
    {
        $this->s_IdDocNumRef = $s_IdDocNumRef;
    }

    /* Obtiene el valor del campo IdDocNumRef */
    public function getIdDocNumRef()
    {
        return $this->s_IdDocNumRef;
    }

    /* Establece el valor del campo CodDocRef */
    public function setCodDocRef( $s_CodDocRef )
    {
        $this->s_CodDocRef = $s_CodDocRef;
    }

    /* Obtiene el valor del campo CodDocRef */
    public function getCodDocRef()
    {
        return $this->s_CodDocRef;
    }

    /* Establece el valor del campo SerieNumeroDocRef */
    public function setSerieNumeroDocRef( $s_SerieNumeroDocRef )
    {
        $this->s_SerieNumeroDocRef = $s_SerieNumeroDocRef;
    }

    /* Obtiene el valor del campo SerieNumeroDocRef */
    public function getSerieNumeroDocRef()
    {
        return $this->s_SerieNumeroDocRef;
    }

    /* Establece el valor del campo MontoTotalDocRef */
    public function setMontoTotalDocRef( $f_MontoTotalDocRef )
    {
        $this->f_MontoTotalDocRef = $f_MontoTotalDocRef;
    }

    /* Obtiene el valor del campo MontoTotalDocRef */
    public function getMontoTotalDocRef()
    {
        return $this->f_MontoTotalDocRef;
    }

    /* Establece el valor del campo SaldoDocRef */
    public function setSaldoDocRef( $f_SaldoDocRef )
    {
        $this->f_SaldoDocRef = $f_SaldoDocRef;
    }

    /* Obtiene el valor del campo SaldoDocRef */
    public function getSaldoDocRef()
    {
        return $this->f_SaldoDocRef;
    }

    /* Establece el valor del campo FechaDocRef */
    public function setFechaDocRef( $d_FechaDocRef )
    {
        $this->d_FechaDocRef = $d_FechaDocRef;
    }

    /* Obtiene el valor del campo FechaDocRef */
    public function getFechaDocRef()
    {
        return $this->d_FechaDocRef;
    }

    /* Establece el valor del campo FechaDocVenRef */
    public function setFechaDocVenRef( $d_FechaDocVenRef )
    {
        $this->d_FechaDocVenRef = $d_FechaDocVenRef;
    }

    /* Obtiene el valor del campo FechaDocVenRef */
    public function getFechaDocVenRef()
    {
        return $this->d_FechaDocVenRef;
    }

    /* Establece el valor del campo IdMonedaRef */
    public function setIdMonedaRef( $s_IdMonedaRef )
    {
        $this->s_IdMonedaRef = $s_IdMonedaRef;
    }

    /* Obtiene el valor del campo IdMonedaRef */
    public function getIdMonedaRef()
    {
        return $this->s_IdMonedaRef;
    }

    /* Establece el valor del campo TipoCambioRef */
    public function setTipoCambioRef( $f_TipoCambioRef )
    {
        $this->f_TipoCambioRef = $f_TipoCambioRef;
    }

    /* Obtiene el valor del campo TipoCambioRef */
    public function getTipoCambioRef()
    {
        return $this->f_TipoCambioRef;
    }

    /* Establece el valor del campo CodVendedorRef */
    public function setCodVendedorRef( $s_CodVendedorRef )
    {
        $this->s_CodVendedorRef = $s_CodVendedorRef;
    }

    /* Obtiene el valor del campo CodVendedorRef */
    public function getCodVendedorRef()
    {
        return $this->s_CodVendedorRef;
    }

    /* Establece el valor del campo IdAlmacenRef */
    public function setIdAlmacenRef( $s_IdAlmacenRef )
    {
        $this->s_IdAlmacenRef = $s_IdAlmacenRef;
    }

    /* Obtiene el valor del campo IdAlmacenRef */
    public function getIdAlmacenRef()
    {
        return $this->s_IdAlmacenRef;
    }

    /* Establece el valor del campo Periodo */
    public function setPeriodo( $s_Periodo )
    {
        $this->s_Periodo = $s_Periodo;
    }

    /* Obtiene el valor del campo Periodo */
    public function getPeriodo()
    {
        return $this->s_Periodo;
    }

    /* Establece el valor del campo FechaAplicacion */
    public function setFechaAplicacion( $d_FechaAplicacion )
    {
        $this->d_FechaAplicacion = $d_FechaAplicacion;
    }

    /* Obtiene el valor del campo FechaAplicacion */
    public function getFechaAplicacion()
    {
        return $this->d_FechaAplicacion;
    }

    /* Establece el valor del campo MontoAplicado */
    public function setMontoAplicado( $f_MontoAplicado )
    {
        $this->f_MontoAplicado = $f_MontoAplicado;
    }

    /* Obtiene el valor del campo MontoAplicado */
    public function getMontoAplicado()
    {
        return $this->f_MontoAplicado;
    }

    /* Establece el valor del campo MontoAplicacionMN */
    public function setMontoAplicacionMN( $f_MontoAplicacionMN )
    {
        $this->f_MontoAplicacionMN = $f_MontoAplicacionMN;
    }

    /* Obtiene el valor del campo MontoAplicacionMN */
    public function getMontoAplicacionMN()
    {
        return $this->f_MontoAplicacionMN;
    }

    /* Establece el valor del campo MontoAplicacionME */
    public function setMontoAplicacionME( $f_MontoAplicacionME )
    {
        $this->f_MontoAplicacionME = $f_MontoAplicacionME;
    }

    /* Obtiene el valor del campo MontoAplicacionME */
    public function getMontoAplicacionME()
    {
        return $this->f_MontoAplicacionME;
    }

    /* Establece el valor del campo Mostrar */
    public function setMostrar( $s_Mostrar )
    {
        $this->s_Mostrar = $s_Mostrar;
    }

    /* Obtiene el valor del campo Mostrar */
    public function getMostrar()
    {
        return $this->s_Mostrar;
    }

    /* Establece el valor del campo Estado */
    public function setEstado( $s_Estado )
    {
        $this->s_Estado = $s_Estado;
    }

    /* Obtiene el valor del campo Estado */
    public function getEstado()
    {
        return $this->s_Estado;
    }

    /* Establece el valor del campo FechaCreacion */
    public function setFechaCreacion( $d_FechaCreacion )
    {
        $this->d_FechaCreacion = $d_FechaCreacion;
    }

    /* Obtiene el valor del campo FechaCreacion */
    public function getFechaCreacion()
    {
        return $this->d_FechaCreacion;
    }

    /* Establece el valor del campo UsuarioCreacion */
    public function setUsuarioCreacion( $s_UsuarioCreacion )
    {
        $this->s_UsuarioCreacion = $s_UsuarioCreacion;
    }

    /* Obtiene el valor del campo UsuarioCreacion */
    public function getUsuarioCreacion()
    {
        return $this->s_UsuarioCreacion;
    }

    /* Establece el valor del campo FechaModificacion */
    public function setFechaModificacion( $d_FechaModificacion )
    {
        $this->d_FechaModificacion = $d_FechaModificacion;
    }

    /* Obtiene el valor del campo FechaModificacion */
    public function getFechaModificacion()
    {
        return $this->d_FechaModificacion;
    }

    /* Establece el valor del campo UsuarioModificacion */
    public function setUsuarioModificacion( $s_UsuarioModificacion )
    {
        $this->s_UsuarioModificacion = $s_UsuarioModificacion;
    }

    /* Obtiene el valor del campo UsuarioModificacion */
    public function getUsuarioModificacion()
    {
        return $this->s_UsuarioModificacion;
    }

    public function getJsonSerialize()
    {
        return 
        [
            'IdAplicacion' => $this->getIdAplicacion(),
            'IdParent' => $this->getIdParent(),
            'IdCompania' => $this->getIdCompania(),
            'IdSucursal' => $this->getIdSucursal(),
            'IdTipoPago' => $this->getIdTipoPago(),
            'IdCaja' => $this->getIdCaja(),
            'IdTurno' => $this->getIdTurno(),
            'IdCierre' => $this->getIdCierre(),
            'IdBanco' => $this->getIdBanco(),
            'IdCuenta' => $this->getIdCuenta(),
            'IdMoneda' => $this->getIdMoneda(),
            'MonedaDes' => $this->getMonedaDes(),
            'TipoCambio' => $this->getTipoCambio(),
            'TipoPagoNombre' => $this->getTipoPagoNombre(),
            'IdPersona' => $this->getIdPersona(),
            'TipoDocCliente' => $this->getTipoDocCliente(),
            'NumTipoDocCliente' => $this->getNumTipoDocCliente(),
            'NombreCliente' => $this->getNombreCliente(),
            'NombreTipo' => $this->getNombreTipo(),
            'ClaseNombre' => $this->getClaseNombre(),
            'Descripcion' => $this->getDescripcion(),
            'ReciboNumero' => $this->getReciboNumero(),
            'IdDocRecibo' => $this->getIdDocRecibo(),
            'IdNumeroDocumento' => $this->getIdNumeroDocumento(),
            'IdDocNumRef' => $this->getIdDocNumRef(),
            'CodDocRef' => $this->getCodDocRef(),
            'SerieNumeroDocRef' => $this->getSerieNumeroDocRef(),
            'MontoTotalDocRef' => $this->getMontoTotalDocRef(),
            'SaldoDocRef' => $this->getSaldoDocRef(),
            'FechaDocRef' => $this->getFechaDocRef(),
            'FechaDocVenRef' => $this->getFechaDocVenRef(),
            'IdMonedaRef' => $this->getIdMonedaRef(),
            'TipoCambioRef' => $this->getTipoCambioRef(),
            'CodVendedorRef' => $this->getCodVendedorRef(),
            'IdAlmacenRef' => $this->getIdAlmacenRef(),
            'Periodo' => $this->getPeriodo(),
            'FechaAplicacion' => $this->getFechaAplicacion(),
            'MontoAplicado' => $this->getMontoAplicado(),
            'MontoAplicacionMN' => $this->getMontoAplicacionMN(),
            'MontoAplicacionME' => $this->getMontoAplicacionME(),
            'Mostrar' => $this->getMostrar(),
            'Estado' => $this->getEstado(),
            'FechaCreacion' => $this->getFechaCreacion(),
            'UsuarioCreacion' => $this->getUsuarioCreacion(),
            'FechaModificacion' => $this->getFechaModificacion(),
            'UsuarioModificacion' => $this->getUsuarioModificacion(),
        ];
    }

    public function toArray()
    {
        return $this->processArray( get_object_vars( $this ) ); 
    }

    private function processArray( $array )
    {
        foreach( $array as $key => $value ) 
        {
            if ( is_object( $value ) )
            {
                $array[$key] = $value->toArray();
            }
            if ( is_array( $value ) ) 
            {
                $array[$key] = $this->processArray( $value );
            }
        }
        return $array;
    }

    public function __toString()
    {
        return json_encode( $this->toArray() ); 
    }

    /* Recupera un objeto CP_AplicacionBN desde un RecordSet */
    public static function retrieveByRs( $o_CP_AplicacionRs )
    {
        $o_CP_AplicacionBN = new CP_AplicacionBN();
        $o_CP_AplicacionBN->setIdAplicacion( ( integer ) $o_CP_AplicacionRs[ "IdAplicacion" ] );
        $o_CP_AplicacionBN->setIdParent( ( integer ) $o_CP_AplicacionRs[ "IdParent" ] );
        $o_CP_AplicacionBN->setIdCompania( ( integer ) $o_CP_AplicacionRs[ "IdCompania" ] );
        $o_CP_AplicacionBN->setIdSucursal( ( integer ) $o_CP_AplicacionRs[ "IdSucursal" ] );
        $o_CP_AplicacionBN->setIdTipoPago( ( integer ) $o_CP_AplicacionRs[ "IdTipoPago" ] );
        $o_CP_AplicacionBN->setIdCaja( ( integer ) $o_CP_AplicacionRs[ "IdCaja" ] );
        $o_CP_AplicacionBN->setIdTurno( ( integer ) $o_CP_AplicacionRs[ "IdTurno" ] );
        $o_CP_AplicacionBN->setIdCierre( ( integer ) $o_CP_AplicacionRs[ "IdCierre" ] );
        $o_CP_AplicacionBN->setIdBanco( ( integer ) $o_CP_AplicacionRs[ "IdBanco" ] );
        $o_CP_AplicacionBN->setIdCuenta( ( integer ) $o_CP_AplicacionRs[ "IdCuenta" ] );
        $o_CP_AplicacionBN->setIdMoneda( $o_CP_AplicacionRs[ "IdMoneda" ] );
        $o_CP_AplicacionBN->setMonedaDes( $o_CP_AplicacionRs[ "MonedaDes" ] );
        $o_CP_AplicacionBN->setTipoCambio( ( float ) $o_CP_AplicacionRs[ "TipoCambio" ] );
        $o_CP_AplicacionBN->setTipoPagoNombre( $o_CP_AplicacionRs[ "TipoPagoNombre" ] );
        $o_CP_AplicacionBN->setIdPersona( ( integer ) $o_CP_AplicacionRs[ "IdPersona" ] );
        $o_CP_AplicacionBN->setTipoDocCliente( $o_CP_AplicacionRs[ "TipoDocCliente" ] );
        $o_CP_AplicacionBN->setNumTipoDocCliente( $o_CP_AplicacionRs[ "NumTipoDocCliente" ] );
        $o_CP_AplicacionBN->setNombreCliente( $o_CP_AplicacionRs[ "NombreCliente" ] );
        $o_CP_AplicacionBN->setNombreTipo( $o_CP_AplicacionRs[ "NombreTipo" ] );
        $o_CP_AplicacionBN->setClaseNombre( $o_CP_AplicacionRs[ "ClaseNombre" ] );
        $o_CP_AplicacionBN->setDescripcion( $o_CP_AplicacionRs[ "Descripcion" ] );
        $o_CP_AplicacionBN->setReciboNumero( $o_CP_AplicacionRs[ "ReciboNumero" ] );
        $o_CP_AplicacionBN->setIdDocRecibo( ( integer ) $o_CP_AplicacionRs[ "IdDocRecibo" ] );
        $o_CP_AplicacionBN->setIdNumeroDocumento( $o_CP_AplicacionRs[ "IdNumeroDocumento" ] );
        $o_CP_AplicacionBN->setIdDocNumRef( $o_CP_AplicacionRs[ "IdDocNumRef" ] );
        $o_CP_AplicacionBN->setCodDocRef( $o_CP_AplicacionRs[ "CodDocRef" ] );
        $o_CP_AplicacionBN->setSerieNumeroDocRef( $o_CP_AplicacionRs[ "SerieNumeroDocRef" ] );
        $o_CP_AplicacionBN->setMontoTotalDocRef( ( float ) $o_CP_AplicacionRs[ "MontoTotalDocRef" ] );
        $o_CP_AplicacionBN->setSaldoDocRef( ( float ) $o_CP_AplicacionRs[ "SaldoDocRef" ] );
        $o_CP_AplicacionBN->setFechaDocRef( utilTimestamp::getTimestamp( $o_CP_AplicacionRs[ "FechaDocRef" ], "Y-m-d H:i:s" ) );
        $o_CP_AplicacionBN->setFechaDocVenRef( utilTimestamp::getTimestamp( $o_CP_AplicacionRs[ "FechaDocVenRef" ], "Y-m-d" ) );
        $o_CP_AplicacionBN->setIdMonedaRef( $o_CP_AplicacionRs[ "IdMonedaRef" ] );
        $o_CP_AplicacionBN->setTipoCambioRef( ( float ) $o_CP_AplicacionRs[ "TipoCambioRef" ] );
        $o_CP_AplicacionBN->setCodVendedorRef( $o_CP_AplicacionRs[ "CodVendedorRef" ] );
        $o_CP_AplicacionBN->setIdAlmacenRef( $o_CP_AplicacionRs[ "IdAlmacenRef" ] );
        $o_CP_AplicacionBN->setPeriodo( $o_CP_AplicacionRs[ "Periodo" ] );
        $o_CP_AplicacionBN->setFechaAplicacion( utilTimestamp::getTimestamp( $o_CP_AplicacionRs[ "FechaAplicacion" ], "Y-m-d H:i:s" ) );
        $o_CP_AplicacionBN->setMontoAplicado( ( float ) $o_CP_AplicacionRs[ "MontoAplicado" ] );
        $o_CP_AplicacionBN->setMontoAplicacionMN( ( float ) $o_CP_AplicacionRs[ "MontoAplicacionMN" ] );
        $o_CP_AplicacionBN->setMontoAplicacionME( ( float ) $o_CP_AplicacionRs[ "MontoAplicacionME" ] );
        $o_CP_AplicacionBN->setMostrar( $o_CP_AplicacionRs[ "Mostrar" ] );
        $o_CP_AplicacionBN->setEstado( $o_CP_AplicacionRs[ "Estado" ] );
        $o_CP_AplicacionBN->setFechaCreacion( utilTimestamp::getTimestamp( $o_CP_AplicacionRs[ "FechaCreacion" ], "Y-m-d H:i:s" ) );
        $o_CP_AplicacionBN->setUsuarioCreacion( $o_CP_AplicacionRs[ "UsuarioCreacion" ] );
        $o_CP_AplicacionBN->setFechaModificacion( utilTimestamp::getTimestamp( $o_CP_AplicacionRs[ "FechaModificacion" ], "Y-m-d H:i:s" ) );
        $o_CP_AplicacionBN->setUsuarioModificacion( $o_CP_AplicacionRs[ "UsuarioModificacion" ] );
        return $o_CP_AplicacionBN;
    }
}
?>